> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udexpansionpanelgroup.md).

# New-UDExpansionPanelGroup

### Sinossi

Il componente pannello di espansione consente all'utente di mostrare e nascondere sezioni di contenuto correlato in una pagina.

### Sintassi

```powershell
New-UDExpansionPanelGroup [-Id <String>] [[-Children] <ScriptBlock>] [-Type <String>] [-ClassName <String>] [<CommonParameters>]
```

### Descrizione

Crea un gruppo di pannelli di espansione. Utilizzi New-UDExpansionPanel per creare elementi figlio per un gruppo.

### Parametri

#### -Id

L'ID del componente. Per impostazione predefinita è un GUID casuale.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Pannelli di espansione da includere in questo gruppo.

```
Required?                    false
Position?                    1
Default value                {}
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Type

Il tipo di gruppo di pannelli di espansione.

```
Required?                    false
Position?                    named
Default value                Expandable
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

Una classe CSS da applicare al gruppo di pannelli di espansione.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    <CommonParameters>
        This cmdlet supports the common parameters: Verbose, Debug,
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
        OutBuffer, PipelineVariable, and OutVariable. For more information, see
        about_CommonParameters (https://go.microsoft.com/fwlink/?LinkID=113216).
```

### Output

\-------------------------- EXAMPLE 1 --------------------------

```
PS >New-UDExpansionPanelGroup -Id 'expandsionPanelGroup1' -Children {
PS >     New-UDExpansionPanel -Title "Hello" -Content {} -Active -Id 'expansionPanel1'
PS >     New-UDExpansionPanel -Title "Hello" -Content {
PS >         New-UDElement -Tag 'div' -Content { "Hello" }
PS >     } -Id 'expansionPanel2'
PS >     New-UDExpansionPanel -Title "Hello" -Content {
PS >        New-UDElement -Tag 'div' -id 'expEndpointDiv' -Content { "Hello" }
PS >     } -Id 'expansionPanel3'
PS > }

Expansion Panel|Creates an expansion panel group.




-------------------------- EXAMPLE 2 --------------------------

PS >New-UDExpansionPanelGroup -Id 'expandsionPanelGroup3' -Children {
PS >     New-UDExpansionPanel -Title "Hello" -Content {} -Id 'expansionPanel6'
PS >     New-UDExpansionPanel -Title "Hello" -Content {} -Id 'expansionPanel7'
PS > } -Type 'Accordion'

Accordion|Creates an accordion style expansion panel group.




-------------------------- EXAMPLE 3 --------------------------

PS >New-UDExpansionPanelGroup -Id 'expandsionPanelGroup4' -Children {
PS >     New-UDExpansionPanel -Title "Hello" -Content {} -Icon (New-UDIcon -Icon 'Users') -Id 'expansionPanel8'
PS >     New-UDExpansionPanel -Title "Hello" -Content {} -Icon (New-UDIcon -Icon 'User') -Id 'expansionPanel9'
PS > }

Icons|Creates an expansion panel group with icons.

[Component("Expansion Panel", "Expand", "Creates a new card.")]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udexpansionpanelgroup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
